from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payouts.get(payout_id="4344fef2-bc2f-49a6-924f-343e62f67224")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.payouts.get("4344fef2-bc2f-49a6-924f-343e62f67224");
console.log(result);
}
run();
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payouts.get(payout_id="4344fef2-bc2f-49a6-924f-343e62f67224")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.payouts.get("4344fef2-bc2f-49a6-924f-343e62f67224");
console.log(result);
}
run();
The monetary amount for this payout, in the smallest currency unit for the given currency, for example 1299 cents to create an authorization for $12.99.
The ID of the payout in the underlying payment service.
Required string length: 1 - 200
Example:
"pout-12345"
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0066CC","light":"#0099FF","dark":"#0066CC"},"logo":{"light":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99","dark":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=7a09594217c27f95e0d127250c4cc958"},"favicon":"https://mintcdn.com/flexxbuy/39tfKGesfNHyX7HE/assets/favicon.png?fit=max\u0026auto=format\u0026n=39tfKGesfNHyX7HE\u0026q=85\u0026s=fc89afd637da9116e218f41f2c6b1105","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.flexxbuy.gr4vy.app","https://api.flexxbuy.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexxbuy","hasAudioNarration":false,"actualSubdomain":"flexxbuy","customDomains":["docs.byzly.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"flexxbuy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf3ae99a12bdb039acf747","collectionId":"544c29bf-0e5f-4e25-a32b-f41314032e9f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf3ae99a12bdb039acf747"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf64bc3d6319f7be041995","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Build","count":195},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":91},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":44},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/payouts/get-payout","slug":"/reference/payouts/get-payout","pageMetadata":{"openapi":"openapi.speakeasy.json GET /payouts/{payout_id}","title":"Get a payout","description":"Retrieves a payout.","href":"/reference/payouts/get-payout"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves a payout.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payouts.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /payouts/{payout_id}","title":"Get a payout","description":"Retrieves a payout.","href":"/reference/payouts/get-payout"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payouts"],"summary":"Get a payout","description":"Retrieves a payout.","operationId":"get_payout","parameters":["a3fa6be4-6480-41b9-bb86-47f5acec4fc0","b09fb782-1dd0-4d73-b6d4-96fd5ff5904e"],"responses":{"200":"3415ece4-931f-4a64-a05d-322d21af4949","400":"c6f67ac2-dd7e-4b06-b590-8cd15a63e739","401":"ab1b5800-7ea5-4294-bcfd-9ec37b2e3545","403":"0315770b-1c13-41bc-b2a7-4177ca1c4648","404":"dc58a9d9-c05e-4647-8bbb-adee077dcdb6","405":"8a615f82-9e17-4ad8-9ce7-b48e25d3c4a3","409":"74b5cc1b-d9b5-4bbe-b7fb-5f810bc13a2b","422":"705791e5-1ff7-46ef-b9c7-206993c85ce0","425":"016a12e2-7d2c-4edc-8e3e-e796962955da","429":"b8e2b252-11e0-4056-864e-488a1ac87fcd","500":"a532d4f3-3004-45d8-abee-e14f1241842c","502":"6f8059c6-902e-4309-8651-04c84da1a6b9","504":"74ee3003-8c61-4362-b6d5-4b4ac90c034c"},"x-speakeasy-name-override":"get","x-speakeasy-group":"payouts","x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Payouts.Get(ctx, \"4344fef2-bc2f-49a6-924f-343e62f67224\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.payouts.get(\"4344fef2-bc2f-49a6-924f-343e62f67224\");\n\n console.log(result);\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.GetPayoutResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n GetPayoutResponse res = sdk.payouts().get()\n .payoutId(\"4344fef2-bc2f-49a6-924f-343e62f67224\")\n .call();\n\n if (res.payoutSummary().isPresent()) {\n System.out.println(res.payoutSummary().get());\n }\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payouts.get(payout_id=\"4344fef2-bc2f-49a6-924f-343e62f67224\")\n\n # Handle response\n print(res)"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Payouts.GetAsync(payoutId: \"4344fef2-bc2f-49a6-924f-343e62f67224\");\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->payouts->get(\n payoutId: '4344fef2-bc2f-49a6-924f-343e62f67224'\n);\n\nif ($response->payoutSummary !== null) {\n // handle response\n}"}],"method":"get","type":"path","servers":["0048b136-b0cb-4528-8f3a-95ce1a20d337","b15a1711-bb6b-4cdf-9106-1a445dacccf7"],"security":["1c94c691-caf6-424e-b0d4-912fcc945a19"],"path":"/payouts/{payout_id}","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"Get a payout","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Payouts.Get(ctx, \"4344fef2-bc2f-49a6-924f-343e62f67224\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.payouts.get(\"4344fef2-bc2f-49a6-924f-343e62f67224\");\n\n console.log(result);\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.GetPayoutResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n GetPayoutResponse res = sdk.payouts().get()\n .payoutId(\"4344fef2-bc2f-49a6-924f-343e62f67224\")\n .call();\n\n if (res.payoutSummary().isPresent()) {\n System.out.println(res.payoutSummary().get());\n }\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payouts.get(payout_id=\"4344fef2-bc2f-49a6-924f-343e62f67224\")\n\n # Handle response\n print(res)"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Payouts.GetAsync(payoutId: \"4344fef2-bc2f-49a6-924f-343e62f67224\");\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->payouts->get(\n payoutId: '4344fef2-bc2f-49a6-924f-343e62f67224'\n);\n\nif ($response->payoutSummary !== null) {\n // handle response\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"a3fa6be4-6480-41b9-bb86-47f5acec4fc0":{"name":"payout_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Payout Id","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}},"b09fb782-1dd0-4d73-b6d4-96fd5ff5904e":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"3415ece4-931f-4a64-a05d-322d21af4949":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"amount":{"type":"integer","title":"Amount","description":"The monetary amount for this payout, in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for $12.99.","examples":[1299],"isRequired":true,"uniqueKey":"amount","typeLabel":"integer"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date this payout was created at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","title":"Currency","description":"A supported ISO-4217 currency code.","examples":["EUR","GBP","USD"],"isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"payment_method":{"properties":{"method":{"description":"The type of this payment method.","examples":["card"],"type":"string","enum":["abitab","affirm","afterpay","alipay","alipayhk","applepay","arcuspaynetwork","bacs","bancontact","bank","bcp","becs","bitpay","blik","ach","boleto","boost","breb","capitec","card","cashapp","cashappafterpay","chaseorbital","clearpay","click-to-pay","custom_push","custom_redirect","custom_tokenize","dana","dcb","dlocal","duitnow","ebanx","eckoh","efecty","eps","everydaypay","gcash","gem","gemds","gift-card","giropay","givingblock","gocardless","googlepay","googlepay_pan_only","gopay","grabpay","ideal","interac","kakaopay","kcp","khipu","klarna","konbini","latitude","latitudeds","laybuy","linepay","linkaja","maybankqrpay","mercadopago","multibanco","multipago","nequi","netbanking","network-token","nupay","oney_10x","oney_12x","oney_3x","oney_4x","oney_6x","onlinebankingcz","onelink","ovo","oxxo","p24","pagoefectivo","paybybank","payid","paymaya","paysquad","paypal","paypaldirectorder","paypalpaylater","paypay","payto","payvalida","paze","picpay","pix","plaid","pse","rabbitlinepay","razorpay","rapipago","redpagos","scalapay","sepa","servipag","seveneleven","sezzle","shopeepay","singteldash","smartpay","sofort","spei","stitch","swish","stripe","stripedd","stripetoken","tapi","tapifintechs","thaiqr","touchngo","truemoney","trustly","trustlyeurope","upi","venmo","vipps","waave","webpay","wechat","wero","yape","zippay"],"title":"Method","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"payment_method.method","typeLabel":"enum\u003cstring>"},"type":{"type":"string","const":"payment-method","title":"Type","description":"Always `payment-method`.","default":"payment-method","examples":["payment-method"],"uniqueKey":"payment_method.type","typeLabel":"string"},"approval_url":{"oneOf":[{"type":"string","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"payment_method.approval_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"payment_method.approval_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.approval_url","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"payment_method.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","example":"US","uniqueKey":"payment_method.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.country","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","pattern":"^[A-Z]{3}$","example":"USD","uniqueKey":"payment_method.currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","example":"USD","uniqueKey":"payment_method.currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.currency","typeLabel":"string | null"},"details":{"oneOf":[{"type":"object","title":"PaymentMethodDetailsCard","description":"Details for credit or debit card payment method.","properties":{"bin":{"oneOf":[{"type":"string","title":"Bin","maxLength":8,"minLength":6,"pattern":"^\\d+$","uniqueKey":"payment_method.details.oneOf.0.bin.oneOf.0","typeLabel":"string"},{"type":"null","title":"Bin","uniqueKey":"payment_method.details.oneOf.0.bin.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.details.oneOf.0.bin","typeLabel":"string | null"},"card_type":{"oneOf":[{"type":"string","title":"CardType","enum":["credit","debit","prepaid"],"x-speakeasy-unknown-values":"allow","uniqueKey":"payment_method.details.oneOf.0.card_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method.details.oneOf.0.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.details.oneOf.0.card_type","typeLabel":"enum\u003cstring> | null"},"card_issuer_name":{"oneOf":[{"type":"string","title":"Card Issuer Name","uniqueKey":"payment_method.details.oneOf.0.card_issuer_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Issuer Name","uniqueKey":"payment_method.details.oneOf.0.card_issuer_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.details.oneOf.0.card_issuer_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"payment_method.details.oneOf.0","typeLabel":"PaymentMethodDetailsCard · object"},{"type":"null","description":"Details for credit or debit card payment method.","uniqueKey":"payment_method.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.details","typeLabel":"PaymentMethodDetailsCard · object | null"},"expiration_date":{"oneOf":[{"type":"string","title":"Expiration Date","description":"The expiration date for the payment method.","maxLength":5,"minLength":5,"pattern":"^\\d{2}/\\d{2}$","example":"12/30","uniqueKey":"payment_method.expiration_date.oneOf.0","typeLabel":"string"},{"type":"null","title":"Expiration Date","description":"The expiration date for the payment method.","example":"12/30","uniqueKey":"payment_method.expiration_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.expiration_date","typeLabel":"string | null"},"fingerprint":{"oneOf":[{"type":"string","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17","uniqueKey":"payment_method.fingerprint.oneOf.0","typeLabel":"string"},{"type":"null","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17","uniqueKey":"payment_method.fingerprint.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.fingerprint","typeLabel":"string | null"},"label":{"oneOf":[{"type":"string","title":"Label","description":"A label for the card or the account. For a paypal payment method this is the user's email address. For a card it is the last 4 digits of the card.","maxLength":320,"minLength":0,"example":"1234","uniqueKey":"payment_method.label.oneOf.0","typeLabel":"string"},{"type":"null","title":"Label","description":"A label for the card or the account. For a paypal payment method this is the user's email address. For a card it is the last 4 digits of the card.","example":"1234","uniqueKey":"payment_method.label.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.label","typeLabel":"string | null"},"last_replaced_at":{"oneOf":[{"type":"string","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"payment_method.last_replaced_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"payment_method.last_replaced_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.last_replaced_at","typeLabel":"string\u003cdate-time> | null"},"mode":{"oneOf":[{"type":"string","title":"Mode","description":"The mode to use with this payment method.","enum":["card","redirect","applepay","googlepay","checkout-session","click-to-pay","gift-card","bank","paze"],"x-speakeasy-unknown-values":"allow","example":"card","uniqueKey":"payment_method.mode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The mode to use with this payment method.","example":"card","uniqueKey":"payment_method.mode.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.mode","typeLabel":"enum\u003cstring> | null"},"scheme":{"oneOf":[{"type":"string","title":"CardScheme","description":"The scheme of the card. Only applies to card payments.","enum":["accel","amex","bancontact","carte-bancaire","cirrus","culiance","dankort","diners-club","discover","eftpos-australia","elo","hipercard","jcb","maestro","mastercard","mir","nyce","other","pulse","qcard","rupay","star","uatp","unionpay","visa"],"x-speakeasy-unknown-values":"allow","example":"visa","uniqueKey":"payment_method.scheme.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The scheme of the card. Only applies to card payments.","example":"visa","uniqueKey":"payment_method.scheme.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.scheme","typeLabel":"enum\u003cstring> | null"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID of the payment method.","format":"uuid","example":"852b951c-d7ea-4c98-b09e-4a1c9e97c077","uniqueKey":"payment_method.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID of the payment method.","example":"852b951c-d7ea-4c98-b09e-4a1c9e97c077","uniqueKey":"payment_method.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.id","typeLabel":"string\u003cuuid> | null"},"approval_target":{"oneOf":[{"type":"string","title":"ApprovalTarget","description":"The browser target that an approval URL must be opened in. If any or null, then there is no specific requirement.","enum":["new_window","any"],"x-speakeasy-unknown-values":"allow","example":"any","uniqueKey":"payment_method.approval_target.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The browser target that an approval URL must be opened in. If any or null, then there is no specific requirement.","example":"any","uniqueKey":"payment_method.approval_target.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.approval_target","typeLabel":"enum\u003cstring> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier that can be used to match the payment method against your own records.","maxLength":200,"minLength":1,"example":"card-12345","uniqueKey":"payment_method.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier that can be used to match the payment method against your own records.","example":"card-12345","uniqueKey":"payment_method.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.external_identifier","typeLabel":"string | null"},"payment_account_reference":{"oneOf":[{"type":"string","title":"Payment Account Reference","description":"The payment account reference (PAR) returned by the card scheme. This is a unique reference to the underlying account that has been used to fund this payment method.","example":"V0010014629724763377327521982","uniqueKey":"payment_method.payment_account_reference.oneOf.0","typeLabel":"string"},{"type":"null","title":"Payment Account Reference","description":"The payment account reference (PAR) returned by the card scheme. This is a unique reference to the underlying account that has been used to fund this payment method.","example":"V0010014629724763377327521982","uniqueKey":"payment_method.payment_account_reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method.payment_account_reference","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["method"],"title":"TransactionPaymentMethod","description":"The payment method used for this payout.","isRequired":true,"uniqueKey":"payment_method","typeLabel":"TransactionPaymentMethod · object"},"payment_service":{"properties":{"payment_service_definition_id":{"type":"string","title":"Payment Service Definition Id","description":"The ID of the connection used for this payout.","examples":["nuvei-card"],"isRequired":true,"uniqueKey":"payment_service.payment_service_definition_id","typeLabel":"string"},"type":{"type":"string","const":"payment-service","title":"Type","description":"Always `payment-service`.","default":"payment-service","examples":["payment-service"],"uniqueKey":"payment_service.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the payout service.","format":"uuid","example":"b6c9eb12-2b62-4103-99b9-e3efc94e396d","uniqueKey":"payment_service.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the payout service.","example":"b6c9eb12-2b62-4103-99b9-e3efc94e396d","uniqueKey":"payment_service.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_service.id","typeLabel":"string\u003cuuid> | null"},"method":{"type":"string","const":"card","title":"Method","description":"Always `card`.","default":"card","examples":["card"],"uniqueKey":"payment_service.method","typeLabel":"string"},"display_name":{"oneOf":[{"type":"string","title":"Display Name","description":"The display name of the connection used for this payout.","example":"Nuvei","uniqueKey":"payment_service.display_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Display Name","description":"The display name of the connection used for this payout.","example":"Nuvei","uniqueKey":"payment_service.display_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_service.display_name","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["payment_service_definition_id"],"title":"PayoutPaymentService","description":"The payment service used for this payout.","isRequired":true,"uniqueKey":"payment_service","typeLabel":"PayoutPaymentService · object"},"status":{"description":"The status of the payout.","examples":["succeeded"],"type":"string","enum":["declined","failed","pending","succeeded"],"title":"PayoutStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date this payout was last updated at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","const":"payout","title":"Type","description":"Always `payout`.","default":"payout","examples":["payout"],"uniqueKey":"type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the payout.","format":"uuid","example":"6f96a57e-a35b-4f98-b192-d298995f811a","uniqueKey":"id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the payout.","example":"6f96a57e-a35b-4f98-b192-d298995f811a","uniqueKey":"id.oneOf.1","typeLabel":"null"}],"uniqueKey":"id","typeLabel":"string\u003cuuid> | null"},"buyer":{"oneOf":[{"type":"object","title":"TransactionBuyer","description":"The buyer used for this payout.","properties":{"type":{"type":"string","const":"buyer","title":"Type","description":"Always `buyer`.","default":"buyer","examples":["buyer"],"uniqueKey":"buyer.oneOf.0.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"buyer.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"buyer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"reconciliation_id":{"oneOf":[{"type":"string","title":"Reconciliation Id","description":"The base62 encoded buyer ID. This represents a shorter version of this buyer's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's buyer against our system.","example":"7jZXl4gBUNl0CnaLEnfXbt","uniqueKey":"buyer.oneOf.0.reconciliation_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Reconciliation Id","description":"The base62 encoded buyer ID. This represents a shorter version of this buyer's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's buyer against our system.","example":"7jZXl4gBUNl0CnaLEnfXbt","uniqueKey":"buyer.oneOf.0.reconciliation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.reconciliation_id","typeLabel":"string | null"},"display_name":{"oneOf":[{"type":"string","title":"Display Name","description":"The display name for the buyer.","maxLength":200,"minLength":1,"example":"John Doe","uniqueKey":"buyer.oneOf.0.display_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Display Name","description":"The display name for the buyer.","example":"John Doe","uniqueKey":"buyer.oneOf.0.display_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.display_name","typeLabel":"string | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant identifier for this buyer.","maxLength":200,"minLength":1,"example":"buyer-12345","uniqueKey":"buyer.oneOf.0.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant identifier for this buyer.","example":"buyer-12345","uniqueKey":"buyer.oneOf.0.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.external_identifier","typeLabel":"string | null"},"billing_details":{"oneOf":[{"type":"object","title":"BillingDetails","description":"The billing name, address, email, and other fields for this buyer.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.address","typeLabel":"Address · object | null"},"tax_id":{"oneOf":[{"type":"object","title":"TaxId","description":"The tax ID information associated with the billing details.","required":["value","kind"],"properties":{"value":{"type":"string","maxLength":50,"minLength":1,"title":"Value","description":"The tax ID for the buyer.","examples":["12345678931"],"isRequired":true,"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.value","typeLabel":"string"},"kind":{"description":"The kind of tax ID","examples":["us.ein"],"type":"string","enum":["ae.trn","au.abn","ar.dni","ar.cuil","ar.cuit","br.cnpj","br.cpf","ca.bn","ca.gst_hst","ca.pst_bc","ca.pst_mb","ca.pst_sk","ca.qst","ch.vat","cl.tin","co.itin","co.nit","co.cc","co.ce","co.de","co.rc","co.ti","co.passport","es.cif","eu.vat","gb.vat","hk.br","id.nik","id.npwp","in.gst","in.pan","jp.cn","jp.rn","kr.brn","li.uid","mx.curp","mx.rfc","my.frp","my.itn","my.nric","my.sst","no.vat","nz.gst","pe.ruc","ph.tin","ru.inn","ru.kpp","sa.vat","sg.gst","sg.uen","th.id","th.vat","tw.vat","us.ein","za.vat","bo.ci","uy.rut","uy.ci"],"title":"TaxIdKind","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0","typeLabel":"TaxId · object"},{"type":"null","description":"The tax ID information associated with the billing details.","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0.tax_id","typeLabel":"TaxId · object | null"}},"additionalProperties":false,"uniqueKey":"buyer.oneOf.0.billing_details.oneOf.0","typeLabel":"BillingDetails · object"},{"type":"null","description":"The billing name, address, email, and other fields for this buyer.","uniqueKey":"buyer.oneOf.0.billing_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.billing_details","typeLabel":"BillingDetails · object | null"},"account_number":{"oneOf":[{"type":"string","title":"Account Number","description":"The buyer account number.","maxLength":200,"minLength":1,"uniqueKey":"buyer.oneOf.0.account_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Number","description":"The buyer account number.","uniqueKey":"buyer.oneOf.0.account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer.oneOf.0.account_number","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"buyer.oneOf.0","typeLabel":"TransactionBuyer · object"},{"type":"null","description":"The buyer used for this payout.","uniqueKey":"buyer.oneOf.1","typeLabel":"null"}],"uniqueKey":"buyer","typeLabel":"TransactionBuyer · object | null"},"category":{"oneOf":[{"type":"string","title":"PayoutCategory","description":"The type of payout to process.","enum":["online_gambling"],"x-speakeasy-unknown-values":"allow","example":"online_gambling","uniqueKey":"category.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The type of payout to process.","example":"online_gambling","uniqueKey":"category.oneOf.1","typeLabel":"null"}],"uniqueKey":"category","typeLabel":"enum\u003cstring> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant identifier for this payout.","maxLength":200,"minLength":1,"example":"payout-12345","uniqueKey":"external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant identifier for this payout.","example":"payout-12345","uniqueKey":"external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_identifier","typeLabel":"string | null"},"merchant":{"oneOf":[{"type":"object","title":"PayoutMerchantSummary","description":"The merchant details associated to this payout.","required":["name","identification_number","phone_number","url","merchant_category_code"],"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The name of the merchant.","examples":["Acme Inc"],"isRequired":true,"uniqueKey":"merchant.oneOf.0.name","typeLabel":"string"},"identification_number":{"type":"string","maxLength":200,"minLength":1,"title":"Identification Number","description":"Unique value which identifies a merchant for processing transactions, also known as a MID.","examples":["12345"],"isRequired":true,"uniqueKey":"merchant.oneOf.0.identification_number","typeLabel":"string"},"phone_number":{"type":"string","pattern":"^\\+[1-9]\\d{1,14}$","title":"Phone Number","description":"The phone number for the merchant which should be formatted according to the E164 number standard.","examples":["+14155552671","+442071838750"],"isRequired":true,"uniqueKey":"merchant.oneOf.0.phone_number","typeLabel":"string"},"url":{"type":"string","title":"Url","description":"Merchant website URL.","examples":["https://example.com"],"isRequired":true,"uniqueKey":"merchant.oneOf.0.url","typeLabel":"string"},"merchant_category_code":{"type":"string","maxLength":4,"minLength":1,"title":"Merchant Category Code","description":"Merchant classification for the type of goods or services it provides.","examples":["1234"],"isRequired":true,"uniqueKey":"merchant.oneOf.0.merchant_category_code","typeLabel":"string"},"type":{"type":"string","const":"merchant","title":"Type","description":"Always `merchant`.","default":"merchant","examples":["merchant"],"uniqueKey":"merchant.oneOf.0.type","typeLabel":"string"},"statement_descriptor":{"oneOf":[{"type":"string","title":"Statement Descriptor","description":"Value to explain charges or payments on bank statements.","maxLength":22,"minLength":5,"example":"Winnings","uniqueKey":"merchant.oneOf.0.statement_descriptor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Statement Descriptor","description":"Value to explain charges or payments on bank statements.","example":"Winnings","uniqueKey":"merchant.oneOf.0.statement_descriptor.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.statement_descriptor","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The address for the merchant.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"merchant.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"merchant.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"merchant.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"merchant.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"merchant.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"merchant.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"merchant.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"merchant.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"merchant.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"merchant.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"merchant.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"merchant.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"merchant.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"merchant.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"merchant.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"merchant.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"merchant.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"merchant.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"merchant.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The address for the merchant.","uniqueKey":"merchant.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant.oneOf.0.address","typeLabel":"Address · object | null"}},"additionalProperties":false,"uniqueKey":"merchant.oneOf.0","typeLabel":"PayoutMerchantSummary · object"},{"type":"null","description":"The merchant details associated to this payout.","uniqueKey":"merchant.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant","typeLabel":"PayoutMerchantSummary · object | null"},"merchant_account_id":{"oneOf":[{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this payout was created for.","example":"default","uniqueKey":"merchant_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Account Id","description":"The ID of the merchant account this payout was created for.","example":"default","uniqueKey":"merchant_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_account_id","typeLabel":"string | null"},"payment_service_payout_id":{"oneOf":[{"type":"string","title":"Payment Service Payout Id","description":"The ID of the payout in the underlying payment service.","maxLength":200,"minLength":1,"example":"pout-12345","uniqueKey":"payment_service_payout_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Payment Service Payout Id","description":"The ID of the payout in the underlying payment service.","example":"pout-12345","uniqueKey":"payment_service_payout_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_service_payout_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["amount","created_at","currency","payment_method","payment_service","status","updated_at"],"title":"PayoutSummary","description":"PayoutSummary\n\nRepresents a summary of a payout.","uniqueKey":"","typeLabel":"PayoutSummary · object"},"examples":{"Example":{"title":"Example","value":{"amount":1299,"created_at":"2013-07-16T19:23:00.000+00:00","currency":"EUR","payment_method":{"method":"card","type":"payment-method","approval_url":"https://gr4vy.app/redirect/12345","country":"US","currency":"USD","details":{"bin":"\u003cstring>","card_type":"credit","card_issuer_name":"\u003cstring>"},"expiration_date":"12/30","fingerprint":"20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17","label":"1234","last_replaced_at":"2013-07-16T19:23:00.000+00:00","mode":"card","scheme":"visa","id":"852b951c-d7ea-4c98-b09e-4a1c9e97c077","approval_target":"any","external_identifier":"card-12345","payment_account_reference":"V0010014629724763377327521982"},"payment_service":{"payment_service_definition_id":"nuvei-card","type":"payment-service","id":"b6c9eb12-2b62-4103-99b9-e3efc94e396d","method":"card","display_name":"Nuvei"},"status":"succeeded","updated_at":"2013-07-16T19:23:00.000+00:00","type":"payout","id":"6f96a57e-a35b-4f98-b192-d298995f811a","buyer":{"type":"buyer","id":"fe26475d-ec3e-4884-9553-f7356683f7f9","reconciliation_id":"7jZXl4gBUNl0CnaLEnfXbt","display_name":"John Doe","external_identifier":"buyer-12345","billing_details":{"first_name":"John","last_name":"Doe","email_address":"john@example.com","phone_number":"+1234567890","address":{"city":"San Jose","country":"US","postal_code":"94560","state":"California","state_code":"US-CA","house_number_or_name":"10","line1":"Stafford Appartments","line2":"29th Street","organization":"Gr4vy"},"tax_id":{"value":"12345678931","kind":"us.ein"}},"account_number":"\u003cstring>"},"category":"online_gambling","external_identifier":"payout-12345","merchant":{"name":"Acme Inc","identification_number":"12345","phone_number":"+14155552671","url":"https://example.com","merchant_category_code":"1234","type":"merchant","statement_descriptor":"Winnings","address":{"city":"San Jose","country":"US","postal_code":"94560","state":"California","state_code":"US-CA","house_number_or_name":"10","line1":"Stafford Appartments","line2":"29th Street","organization":"Gr4vy"}},"merchant_account_id":"default","payment_service_payout_id":"pout-12345"}}},"exampleType":"generated"}},"exampleType":"generated"},"c6f67ac2-dd7e-4b06-b590-8cd15a63e739":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ab1b5800-7ea5-4294-bcfd-9ec37b2e3545":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0315770b-1c13-41bc-b2a7-4177ca1c4648":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"dc58a9d9-c05e-4647-8bbb-adee077dcdb6":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"8a615f82-9e17-4ad8-9ce7-b48e25d3c4a3":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"74b5cc1b-d9b5-4bbe-b7fb-5f810bc13a2b":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"705791e5-1ff7-46ef-b9c7-206993c85ce0":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"016a12e2-7d2c-4edc-8e3e-e796962955da":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b8e2b252-11e0-4056-864e-488a1ac87fcd":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"a532d4f3-3004-45d8-abee-e14f1241842c":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"6f8059c6-902e-4309-8651-04c84da1a6b9":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"74ee3003-8c61-4362-b6d5-4b4ac90c034c":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details t
[...]
